
Katello - Feature #3417

API v2: repositories_controller.rb

10/21/2013 05:56 PM - Adam Price

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

convert repositories_controller.rb to API v2

History

#1 - 01/22/2014 09:05 PM - Michaux Kelley

- Assignee set to Michaux Kelley

Actions TODO

(see: http://entitlement.etherpad.corp.redhat.com/hammerBacklog)

update WIP

- repo enable/disable for redhat repos

- add params for custom repos

- add org & product-id params for determining repo uniqueness

create WIP

Actions DONE

List of complete, merged actions here...

Related PR's

https://github.com/Katello/katello/pull/3597

https://github.com/theforeman/hammer-cli-katello/pull/29

Other considerations

the closely-related concept of repository_sets not yet addressed. See /katello/providers/redhat_provider#!=

more actions likely to be added to this list.

many v2 actions may be complete or at least partially complete.

product id, organization id, and repo id will all need to be changed to strings in the params, since the API requires that these refer to their

respective labels.

#2 - 03/05/2014 02:47 PM - Adam Price

- Category set to API

#3 - 03/11/2014 07:56 PM - Adam Price

- Status changed from New to Assigned

- Assignee changed from Michaux Kelley to Adam Price

#4 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes
#5 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#6 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#7 - 03/21/2014 09:06 PM - Adam Price

- Status changed from Assigned to New

- Assignee deleted (Adam Price)

#8 - 04/02/2014 01:56 PM - Bryan Kearney

- Status changed from New to Rejected

#9 - 08/22/2014 07:48 AM - Eric Helms

- translation missing: en.field_release set to 13

#10 - 03/21/2015 11:04 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#11 - 06/22/2016 02:19 PM - Justin Sherrill

- translation missing: en.field_release set to 166
